View Issue Details

IDProjectCategoryView StatusLast Update
0020395mantisbtuipublic2016-06-12 00:43
ReporterSERGEEVA111Assigned Todregad 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020395: Edit Account window does not have required fields marked with red asterisk
Description

On the bottom of the form 'Edit Account' there is note that required fields within the form should be marked with red asterisk. None of the field does not contain the symbol * even such fields as Username,Password,
Confirm Password.

Steps To Reproduce
  1. Signup for a new account.
  2. Link will be sent to specified email to perform registration confirmation. Follow the link. "Edit Account" form will be opened.
  3. "Edit Account" form contain strictly required fields Username, Password and Confirm Password to be filled. But no one is marked with red asterisk as it mentioned on the bottom of the form.

This issue should be fixed putting red asterisk to required fields.

TagsNo tags attached.

Activities

dregad

dregad

2015-12-20 16:36

developer   ~0052141

The PR https://github.com/mantisbt/mantisbt/pull/695 fixes this (and a other, related issues with display of mandatory fields).

SERGEEVA111

SERGEEVA111

2015-12-21 12:58

reporter   ~0052155

I'm sorry, I described the bug to the wrong website

Related Changesets

MantisBT: master 892d350d

2015-12-18 08:21:48

dregad

Details Diff
CSS class renamed from 'has-required' to 'required'

There was an inconsistency in the class name used to flag mandatory
fields. The fields use 'required' class to display a red asterisk next
to the label, while the parent fieldset relied on 'has-required' to
display the '* required' legend at the bottom of the form.

This caused password fields in account_page.php (which are only required
in specific contexts, e.g. when changing a new account's password after
verification) not to be flagged with the red asterisk.

We now consistently use 'required'.

Fixes 0020395
mod - account_page.php Diff File
mod - account_prof_menu_page.php Diff File
mod - bug_report_page.php Diff File
mod - css/common_config.php Diff File
mod - manage_columns_inc.php Diff File
mod - manage_proj_create_page.php Diff File
mod - manage_tags_page.php Diff File
mod - news_edit_page.php Diff File
mod - news_menu_page.php Diff File

Issue History

Date Modified Username Field Change
2015-12-15 10:52 SERGEEVA111 New Issue
2015-12-15 15:04 atrol Status new => confirmed
2015-12-15 15:04 atrol Target Version => 1.3.0-rc.2
2015-12-20 16:36 dregad Assigned To => dregad
2015-12-20 16:36 dregad Status confirmed => assigned
2015-12-20 16:36 dregad Note Added: 0052141
2015-12-21 12:58 SERGEEVA111 Note Added: 0052155
2016-01-01 18:56 dregad Changeset attached => MantisBT master 892d350d
2016-01-01 18:56 dregad Status assigned => resolved
2016-01-01 18:56 dregad Resolution open => fixed
2016-01-01 18:56 dregad Fixed in Version => 1.3.0-rc.2
2016-06-12 00:43 vboctor Status resolved => closed